## NAME

d.text - Draws text in the active display frame on the graphics monitor using the current font.

## KEYWORDS

display, cartography

## SYNOPSIS

d.text
d.text help
d.text [-mpgbrsc] [text=string] [size=float] [color=string] [bgcolor=string] [line=integer] [at=x,y] [align=string] [rotation=float] [linespacing=float] [font=string] [path=string] [charset=string] [--verbose] [--quiet]

### Flags:

-m
  Use mouse to interactively place text
-p
  Screen position in pixels ([0,0] is top left)
-g
  Screen position in geographic coordinates
-b
  Use bold text
-r
  Use radians instead of degrees for rotation
-s
  Font size is height in pixels
-c
  Ignored (compatibility with d.text.freetype)
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

text=string
  Text to display
size=float
  Height of letters in percentage of available frame height
  Options: 0-100
  Default: 5
color=string
  Text color, either a standard GRASS color or R:G:B triplet
  Default: gray
bgcolor=string
  Text background color, either a standard GRASS color or R:G:B triplet
line=integer
  The screen line number on which text will begin to be drawn
  Options: 1-1000
at=x,y
  Screen position at which text will begin to be drawn (percentage, [0,0] is lower left)
align=string
  Text alignment
  Options: ll,lc,lr,cl,cc,cr,ul,uc,ur
  Default: ll
rotation=float
  Rotation angle in degrees (counter-clockwise)
  Default: 0
linespacing=float
  Line spacing
  Default: 1.25
font=string
  Font name
path=string
  Path to font file
charset=string
  Text encoding (only applicable to TrueType fonts)

## DESCRIPTION

d.text.freetype draws text in the graphics monitor's active display frame using TrueType fonts already installed on the user's system.

### Parameter Notes:

at=x,y
  Locates the text at this screen position (percentage, [0,0] is bottom left). If this option is omitted, the user will be prompted to use the mouse to specify the location.
font=name
  Specifies a font listed in the GRASS 'freetypecap' definition file.
charset=name
  Sets character encoding for input text. (e.g. `ISO-8859-1`)
color=name
  Sets text color to name or R:G:B triplet. It can also be a hexadecimal value of `0xRRGGBB` (deprecated).
  Options: red, orange, yellow, green, blue, indigo, violet, gray, white, and black
  Default: gray
size=value
  Sets text height in percent of available frame height.
  Default: 10
align=name
  Aligns text in this way.
  Options: ll, lc, lr, cl, cc, cr, ul, uc, ur
  l?: Lower, c?: Vertically Centered, u?: Upper,
  ?l: Left, ?c: Horizontally Centered, ?r: Right
  Default: ll (Lower Left)

### Command mode:

#### Key

{REQUIRED}
[OPTIONAL]
THIS|orTHAT
+, -
  Relative value
r, %, p
  Radian, Percentage, and Pixels respectively

#### Commands

  .F {font|path}[:charset] font
  .C {color_name|R:G:B} color (default: gray)
  .S [+|-]size[p] size (default: 5)
  .B {0|1} bold (default: 0)
  .A {ll|lc|lr|cl|cc|cr|ul|uc|ur} align (default: ll)
  .R [+|-]rotation[r] rotation (default: 0)
  .I linespacing linespacing (default: 1.1)
  .X [+|-]x[%|p] x-coord
  .Y [+|-]y[%|p] y-coord
  .L {0|1} linefeed (default: 1)
  .E [+|-]east[%|p] x-origin
  .N [+|-]north[%|p] y-origin
  .. dot

To end input, press Ctrl-d on a blank line.

## EXAMPLES

#### Standard mode:

`d.text.freetype text="GRASS GIS" -g at=2107055,5603133 \
size=7 path=/usr/X11R6/lib/X11/fonts/TTF/luximb.ttf`

#### Command mode:

The following example prints three lines: "`GRASS d.text.freetype output`", "`See test.input file`", and "`for more details.`".

    d.text.freetype -c
    .F /usr/X11R6/lib/X11/fonts/TTF/luximb.ttf:ISO-8859-1
    .S 20p
    .L 0
    GRASS
    .C red
     d.text.freetype
    .C gray
     output
    .L 1
    See test.input file
    for more details.

Command mode instructions may also be read directly from a text file:
`d.text.freetype -c < test.input`

## DEFINITION FILE

To help users select fonts conveniently, the definition file, `$(GISBASE)/etc/freetypecap`, is provided. Its format is as follows:

    	font:fontpath:charset:description
    	*default_font:fontpath:charset:description

See the file for examples.

## SEE ALSO

d.text
d.font.freetype
d.font
d.title
d.where

## AUTHOR

Huidae Cho <grass4u@gmail.com>

Updates by Hamish Bowman, NZ

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team